import type { PgOrderSpec, PgSelectStep } from "@dataplan/pg";
type OrderBySpecIdentity = string | Omit<PgOrderSpec, "direction"> | (($select: PgSelectStep) => Omit<PgOrderSpec, "direction">);
export interface MakeAddPgTableOrderByPluginOrders {
    [orderByEnumValue: string]: {
        extensions: {
            grafast: {
                applyPlan($select: PgSelectStep): void;
            };
        };
    };
}
export declare function makeAddPgTableOrderByPlugin(match: {
    serviceName?: string;
    schemaName: string;
    tableName: string;
}, ordersGenerator: (build: GraphileBuild.Build) => MakeAddPgTableOrderByPluginOrders, hint?: string): GraphileConfig.Plugin;
export type NullsSortMethod = "first" | "last" | "first-iff-ascending" | "last-iff-ascending" | undefined;
export interface OrderByAscDescOptions {
    unique?: boolean;
    nulls?: NullsSortMethod;
}
export declare function orderByAscDesc(baseName: string, attributeOrSqlFragment: OrderBySpecIdentity, uniqueOrOptions?: boolean | OrderByAscDescOptions): MakeAddPgTableOrderByPluginOrders;
export {};
//# sourceMappingURL=makeAddPgTableOrderByPlugin.d.ts.map